SoMFVec3s Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoMFVec3s Class Reference
Field Classes

The SoMFVec3s class is a container for SbVec3s vectors.This field is used where nodes, engines or other field containers needs to store an array of vectors with three elements. More...

`#include <Inventor/fields/SoMFVec3s.h>`

Inheritance diagram for SoMFVec3s:

## Public Member Functions
virtual SoType | getTypeId (void) const
virtual void | copyFrom (const SoField &field)
const SoMFVec3s & | operator= (const SoMFVec3s &field)
virtual SbBool | isSame (const SoField &field) const
const SbVec3s & | operator[] (const int idx) const
const SbVec3s * | getValues (const int start) const
int | find (const SbVec3s &value, SbBool addifnotfound=FALSE)
void | setValues (const int start, const int num, const SbVec3s *newvals)
void | set1Value (const int idx, const SbVec3s &value)
void | setValue (const SbVec3s &value)
const SbVec3s & | operator= (const SbVec3s &val)
SbBool | operator== (const SoMFVec3s &field) const
SbBool | operator!= (const SoMFVec3s &field) const
SbVec3s * | startEditing (void)
void | finishEditing (void)
void | setValuesPointer (const int num, const SbVec3s *userdata)
void | setValuesPointer (const int num, SbVec3s *userdata)
void | setValuesPointer (const int num, const short *userdata)
void | setValuesPointer (const int num, short *userdata)
void | setValues (int start, int num, const short xyz[][3])
void | set1Value (int idx, short x, short y, short z)
void | set1Value (int idx, const short xyz[3])
void | setValue (short x, short y, short z)
void | setValue (const short xyz[3])
Public Member Functions inherited from SoMField
virtual | ~SoMField ()
int | getNum (void) const
void | setNum (const int num)
virtual void | deleteValues (int start, int num=-1)
virtual void | insertSpace (int start, int num)
SbBool | set1 (const int index, const char *const valuestring)
void | get1 (const int index, SbString &valuestring)
virtual void | enableDeleteValues (void)
virtual SbBool | isDeleteValuesEnabled (void) const
Public Member Functions inherited from SoField
virtual | ~SoField ()
void | setIgnored (SbBool ignore)
SbBool | isIgnored (void) const
void | setDefault (SbBool defaultVal)
SbBool | isDefault (void) const
SbBool | isOfType (const SoType type) const
void | enableConnection (SbBool flag)
SbBool | isConnectionEnabled (void) const
SbBool | connectFrom (SoEngineOutput *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoEngineOutput *master, SbBool notnotify=FALSE)
void | disconnect (SoEngineOutput *engineoutput)
SbBool | isConnectedFromEngine (void) const
SbBool | getConnectedEngine (SoEngineOutput *&master) const
SbBool | connectFrom (SoField *master, SbBool notnotify=FALSE, SbBool append=FALSE)
SbBool | appendConnection (SoField *master, SbBool notnotify=FALSE)
void | disconnect (SoField *field)
SbBool | isConnectedFromField (void) const
SbBool | getConnectedField (SoField *&master) const
int | getNumConnections (void) const
int | getForwardConnections (SoFieldList &slavelist) const
int | getConnections (SoFieldList &masterlist) const
void | disconnect (void)
SbBool | isConnected (void) const
void | setContainer (SoFieldContainer *cont)
SoFieldContainer * | getContainer (void) const
SbBool | set (const char *valuestring)
void | get (SbString &valuestring)
SbBool | shouldWrite (void) const
virtual void | touch (void)
virtual void | startNotify (void)
virtual void | notify (SoNotList *nlist)
SbBool | enableNotify (SbBool on)
SbBool | isNotifyEnabled (void) const
void | addAuditor (void *f, SoNotRec::Type type)
void | removeAuditor (void *f, SoNotRec::Type type)
int | operator== (const SoField &f) const
int | operator!= (const SoField &f) const
virtual void | connectionStatusChanged (int numconnections)
SbBool | isReadOnly (void) const
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
void | copyConnection (const SoField *fromfield)
virtual SbBool | read (SoInput *input, const SbName &name)
virtual void | write (SoOutput *out, const SbName &name) const
virtual void | countWriteRefs (SoOutput *out) const
void | setFieldType (int type)
int | getFieldType (void) const
SbBool | getDirty (void) const
void | setDirty (SbBool dirty)
void | evaluate (void) const

## Static Public Member Functions
static void * | createInstance (void)
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoMField
static SoType | getClassTypeId (void)
static void | atexit_cleanup (void)
static void | initClass (void)
Static Public Member Functions inherited from SoField
static void | initClass (void)
static void | initClasses (void)
static void | cleanupClass (void)
static SoType | getClassTypeId (void)

## Protected Member Functions
virtual void | deleteAllValues (void)
virtual void | copyValue (int to, int from)
virtual int | fieldSizeof (void) const
virtual void * | valuesPtr (void)
virtual void | setValuesPtr (void *ptr)
virtual void | allocValues (int num)
Protected Member Functions inherited from SoMField
| SoMField (void)
virtual void | makeRoom (int newnum)
Protected Member Functions inherited from SoField
| SoField (void)
void | valueChanged (SbBool resetdefault=TRUE)
virtual void | evaluateConnection (void) const
virtual SbBool | readConnection (SoInput *in)
virtual void | writeConnection (SoOutput *out) const
SbBool | isDestructing (void) const

## Protected Attributes
SbVec3s * | values
Protected Attributes inherited from SoMField
int | num
int | maxNum
SbBool | userDataIsUsed

## Additional Inherited Members
Public Types inherited from SoField
enum | FieldType { NORMAL_FIELD = 0, EVENTIN_FIELD, EVENTOUT_FIELD, EXPOSED_FIELD }

## Detailed Description

The SoMFVec3s class is a container for SbVec3s vectors.

This field is used where nodes, engines or other field containers needs to store an array of vectors with three elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
  SbVec3s, SoSFVec3s Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
  Coin 2.5

## Member Function Documentation

SoType SoMFVec3s::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification instance which uniquely identifies the Coin field class the object belongs to.

See also
  getClassTypeId(), SoType

Implements SoField.

void SoMFVec3s::copyFrom | ( | const SoField & | f | ) |
| virtual

Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

SbBool SoMFVec3s::isSame | ( | const SoField & | f | ) | const
| virtual

Check for equal type and value(s).

Implements SoField.

void SoMFVec3s::deleteAllValues | ( | void |  | ) |
| protectedvirtual

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

void SoMFVec3s::copyValue | ( | int | to,
|  | int | from
| ) |  |
| protectedvirtual

This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy contructors where necessary.

Implements SoMField.

const SbVec3s* SoMFVec3s::getValues | ( | const int | start | ) | const
| inline

\ Returns a pointer to the values array. \

void SoMFVec3s::setValues | ( | int | start,
|  | int | numarg,
|  | const short | xyz[][3]
| ) |  |

Set num vector array elements from the xyz array, reading from index 0 in the given float-triplet vector array and storing values from index start in this SoMFVec3f's array.

If start + num is larger than the current number of elements in the SoMFVec3f field, this method will automatically expand the field to accommodate all given float-vector element values.

void SoMFVec3s::set1Value | ( | int | idx,
|  | short | x,
|  | short | y,
|  | short | z
| ) |  |

Set the vector at idx.

void SoMFVec3s::set1Value | ( | int | idx,
|  | const short | xyz[3]
| ) |  |

Set the vector at idx.

void SoMFVec3s::setValue | ( | short | x,
|  | short | y,
|  | short | z
| ) |  |

Set this field to contain a single vector with the given element values.

void SoMFVec3s::setValue | ( | const short | xyz[3] | ) |

Set this field to contain a single vector with the given element values.

The documentation for this class was generated from the following files:

- SoMFVec3s.h
- SoMFVec3s.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.